Bug 27350 - Binding throws Null Pointer Exception when Updating Tab
Summary: Binding throws Null Pointer Exception when Updating Tab
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.0.0
Hardware: PC Windows
: Normal major
Target Milestone: ---
Assignee: Rui Marinho
URL:
: 37712 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-02-24 08:18 UTC by Anubhav Ranjan
Modified: 2016-11-09 17:32 UTC (History)
17 users (show)

Tags: ac
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Anubhav Ranjan 2015-02-24 08:18:08 UTC
We have a customer who is facing issue while updating the Tab Text. The bindings work well but with one use case it fails.

###Description
Hi,

I am getting a strange exception when I navigate from one page and back again. The raising of a property change is cause a NullPointer Exception. I haven't been able to reproduce this yet in a sample, however I believe the following is the exception detail from the Output window when the exception occurs in our main application :-

02-09 11:48:59.462 I/MonoDroid(16716): UNHANDLED EXCEPTION:
02-09 11:48:59.472 I/MonoDroid(16716): Java.Lang.NullPointerException: Exception of type 'Java.Lang.NullPointerException' was thrown.
02-09 11:48:59.472 I/MonoDroid(16716): at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () <IL 0x00011, 0x00068>
02-09 11:48:59.472 I/MonoDroid(16716): at Android.Runtime.JNIEnv.CallObjectMethod (intptr,intptr,Android.Runtime.JValue[]) [0x00064] in /Users/builder/data/lanes/monodroid-mlion-monodroid-4.21-series/49a04b96/source/monodroid/src/Mono.Android/src/Runtime/JNIEnv.g.cs:195
02-09 11:48:59.482 I/MonoDroid(16716): at Android.App.ActionBar/TabInvoker.SetText (Java.Lang.ICharSequence) [0x00034] in /Users/builder/data/lanes/monodroid-mlion-monodroid-4.21-series/49a04b96/source/monodroid/src/Mono.Android/platforms/android-21/src/generated/Android.App.ActionBar.cs:1083
02-09 11:48:59.482 I/MonoDroid(16716): at Android.App.ActionBar/Tab.SetText (string) [0x00013] in /Users/builder/data/lanes/monodroid-mlion-monodroid-4.21-series/49a04b96/source/monodroid/src/Mono.Android/platforms/android-21/src/generated/Android.App.ActionBar.cs:886
02-09 11:48:59.482 I/MonoDroid(16716): at Xamarin.Forms.Platform.Android.Platform/<>c__DisplayClassa.<AddTab>b__9 (object,System.ComponentModel.PropertyChangedEventArgs) <IL 0x00028, 0x00117>
02-09 11:48:59.482 I/MonoDroid(16716): at (wrapper delegate-invoke) <Module>.invoke_void_object_PropertyChangedEventArgs (object,System.ComponentModel.PropertyChangedEventArgs) <IL 0x00044, 0x0009f>
02-09 11:48:59.482 I/MonoDroid(16716): at Xamarin.Forms.BindableObject.OnPropertyChanged (string) <IL 0x00012, 0x000c7>
02-09 11:48:59.482 I/MonoDroid(16716): at Xamarin.Forms.BindableObject.SetValueActual (Xamarin.Forms.BindableProperty,Xamarin.Forms.BindableObject/BindablePropertyContext,object,bool,Xamarin.Forms.BindableObject/SetValueFlags,bool) <IL 0x000e4, 0x00653>
02-09 11:48:59.482 I/MonoDroid(16716): at Xamarin.Forms.BindableObject.SetValueCore (Xamarin.Forms.BindableProperty,object,Xamarin.Forms.BindableObject/SetValueFlags,Xamarin.Forms.BindableObject/SetValuePrivateFlags) <IL 0x001fc, 0x00c87>
02-09 11:48:59.482 I/MonoDroid(16716): at Xamarin.Forms.BindableObject.SetValueCore (Xamarin.Forms.BindableProperty,object,Xamarin.Forms.BindableObject/SetValueFlags) <IL 0x00005, 0x00067>
02-09 11:48:59.482 I/MonoDroid(16716): at Xamarin.Forms.BindingExpression.ApplyCore (object,Xamarin.Forms.BindableObject,Xamarin.Forms.BindableProperty,bool) <IL 0x001c8, 0x00e1f>
02-09 11:48:59.482 I/MonoDroid(16716): at Xamarin.Forms.BindingExpression.Apply (bool) <IL 0x00041, 0x0018b>
02-09 11:48:59.482 I/MonoDroid(16716): at Xamarin.Forms.BindingExpression/BindingExpressionPart.<PropertyChanged>b__c () <IL 0x00007, 0x00053>
02-09 11:48:59.482 I/MonoDroid(16716): at Java.Lang.Thread/RunnableImplementor.Run () [0x0000b] in /Users/builder/data/lanes/monodroid-mlion-monodroid-4.21-series/49a04b96/source/monodroid/src/Mono.Android/src/Java.Lang/Thread.cs:36
02-09 11:48:59.482 I/MonoDroid(16716): at Java.Lang.IRunnableInvoker.n_Run (intptr,intptr) [0x00009] in /Users/builder/data/lanes/monodroid-mlion-monodroid-4.21-series/49a04b96/source/monodroid/src/Mono.Android/platforms/android-21/src/generated/Java.Lang.IRunnable.cs:71
02-09 11:48:59.482 I/MonoDroid(16716): at (wrapper dynamic-method) object.cf9f9ec3-502f-4b17-90c1-f5c257b20477 (intptr,intptr) <IL 0x00011, 0x0003b>
02-09 11:48:59.482 I/MonoDroid(16716): --- End of managed exception stack trace ---
02-09 11:48:59.482 I/MonoDroid(16716): java.lang.NullPointerException
02-09 11:48:59.482 I/MonoDroid(16716): at com.android.internal.widget.ScrollingTabContainerView.updateTab(ScrollingTabContainerView.java:328)
02-09 11:48:59.492 I/MonoDroid(16716): at com.android.internal.app.ActionBarImpl$TabImpl.setText(ActionBarImpl.java:1093)
02-09 11:48:59.492 I/MonoDroid(16716): at mono.java.lang.RunnableImplementor.n_run(Native Method)
02-09 11:48:59.492 I/MonoDroid(16716): at mono.java.lang.RunnableImplementor.run(RunnableImplementor.java:29)
02-09 11:48:59.492 I/MonoDroid(16716): at android.app.Activity.runOnUiThread(Activity.java:4713)
02-09 11:48:59.492 I/MonoDroid(16716): at xamarin.forms.platform.android.ButtonRenderer_ButtonClickListener.n_onClick(Native Method)
02-09 11:48:59.492 I/MonoDroid(16716): at xamarin.forms.platform.android.ButtonRenderer_ButtonClickListener.onClick(ButtonRenderer_ButtonClickListener.java:29)
02-09 11:48:59.492 I/MonoDroid(16716): at android.view.View.performClick(View.java:4445)
02-09 11:48:59.492 I/MonoDroid(16716): at android.view.View$PerformClick.run(View.java:18446)
02-09 11:48:59.492 I/MonoDroid(16716): at android.os.Handler.handleCallback(Handler.java:733)
02-09 11:48:59.492 I/MonoDroid(16716): at android.os.Handler.dispatchMessage(Handler.java:95)
02-09 11:48:59.492 I/MonoDroid(16716): at android.os.Looper.loop(Looper.java:136)
02-09 11:48:59.492 I/MonoDroid(16716): at android.app.ActivityThread.main(ActivityThread.java:5146)
02-09 11:48:59.492 I/MonoDroid(16716): at java.lang.reflect.Method.invokeNative(Native Method)
02-09 11:48:59.492 I/MonoDroid(16716): at java.lang.reflect.Method.invoke(Method.java:515)
02-09 11:48:59.492 I/MonoDroid(16716): at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:796)
02-09 11:48:59.492 I/MonoDroid(16716): at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:612)
02-09 11:48:59.492 I/MonoDroid(16716): at dalvik.system.NativeStart.main(Native Method)

It seems to be related to me updating the title of a contentpage which is the second tab of 3.

Would you be able to review the detail above and provide some feedback.

This problem has been around for a few months, unfortunately this is the first time I've actually had a look at the Output window.

If you require any further info, please do let me know as I am very keen to address this.


###Version Information

Microsoft Visual Studio Premium 2013
Version 12.0.30723.00 Update 3
Microsoft .NET Framework
Version 4.5.51641

Installed Version: Premium

LightSwitch for Visual Studio 2013 06191-004-0454001-02723
Microsoft LightSwitch for Visual Studio 2013

Team Explorer for Visual Studio 2013 06191-004-0454001-02723
Microsoft Team Explorer for Visual Studio 2013

Visual Basic 2013 06191-004-0454001-02723
Microsoft Visual Basic 2013

Visual C# 2013 06191-004-0454001-02723
Microsoft Visual C# 2013

Visual C++ 2013 06191-004-0454001-02723
Microsoft Visual C++ 2013

Visual F# 2013 06191-004-0454001-02723
Microsoft Visual F# 2013

Visual Studio 2013 Code Analysis Spell Checker 06191-004-0454001-02723
Microsoft® Visual Studio® 2013 Code Analysis Spell Checker

Portions of International CorrectSpell™ spelling correction system © 1993 by Lernout & Hauspie Speech Products N.V. All rights reserved.

The American Heritage® Dictionary of the English Language, Third Edition Copyright © 1992 Houghton Mifflin Company. Electronic version licensed from Lernout & Hauspie Speech Products N.V. All rights reserved.

Windows Phone SDK 8.0 - ENU 06191-004-0454001-02723
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package 1.0
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 12.3.50717.0
Microsoft Web Developer Tools contains the following components:
Support for creating and opening ASP.NET web projects
Browser Link: A communication channel between Visual Studio and browsers
Editor extensions for HTML, CSS, and JavaScript
Page Inspector: Inspection tool for ASP.NET web projects
Scaffolding: A framework for building and running code generators
Server Explorer extensions for Microsoft Azure Websites
Web publishing: Extensions for publishing ASP.NET web projects to hosting providers, on-premises servers, or Microsoft Azure

ASP.NET Web Frameworks and Tools 2012.2 4.1.21001.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013 5.2.20703.0
For additional information, visit http://www.asp.net/

Common Azure Tools 1.2
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

InstallShield Limited Edition
InstallShield. For more information visit the Flexera Software website at <http://www.FlexeraSoftware.com>;. Copyright © 2013 Flexera Software LLC. All Rights Reserved.

JetBrains ReSharper Platform 6 Build 6.0.20141219.120158 on 2014-12-19 12:56:02Z
JetBrains ReSharper Platform package for Microsoft Visual Studio. For more information about ReSharper Platform, visit http://www.jetbrains.com/resharper. Copyright © 2015 JetBrains, Inc.

Microsoft Advertising SDK for Windows Phone
Microsoft Advertising SDK for Windows Phone
Build

Microsoft Azure Mobile Services Tools 1.2
Microsoft Azure Mobile Services Tools

NuGet Package Manager 2.8.50926.663
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2013 ENU 12.0.30626
Microsoft Office Developer Tools for Visual Studio 2013 ENU

PowerShell Tools 1.2
Provides file classification services using PowerShell

PreEmptive Analytics Visualizer 1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools 12.0.30919.1
Microsoft SQL Server Data Tools

Telerik Windows Phone VSExtensions 2014.1.514.0
Telerik UI for Windows Phone VSExtensions

Telerik WPF VSExtensions 2014.2.707.0
Telerik UI for WPF VSExtensions

Windows Phone 8.1 SDK Integration 1.0
This package integrates the tools for the Windows Phone 8.1 SDK into the menus and controls of Visual Studio.

Workflow Manager Tools 1.0 1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin 3.9.236.0 (d6a2cae)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android 4.20.0.34 (49a04b966feb40dfdba49d57ba16249b66d606a6)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.iOS 8.6.0.0 (eb24bdcf5cba2c12b673a07e0a8cce368b9563b3)
Visual Studio extension to enable development for Xamarin.iOS.

Xamarin.iOS Unified Migration 1.0
Automated migration for Xamarin iOS Classic projects to Unified
Comment 3 Atin 2015-02-26 10:48:13 UTC
I have checked this issue and able to reproduce this behavior with the help of given sample and steps.I have checked this issue on Xamarin.Forms 1.3.5.6333-pre1 and With the help of given steps the following exception occur:

Unhandled Exception:
Java.Lang.NullPointerException: 

Screencast:http://www.screencast.com/t/WKrvGXKsl
Application Output:https://gist.github.com/saurabh360/8f053b76abece5cba723
Ide Logs:https://gist.github.com/saurabh360/2151fa0a3a2861026ae9
Device Logs:https://gist.github.com/saurabh360/3d9bad696b491b62423a
Environment Info:

Microsoft Visual Studio Professional 2013
Version 12.0.31101.00 Update 4
Microsoft .NET Framework
Version 4.6.00007

Installed Version: Professional

LightSwitch for Visual Studio 2013   06177-004-0446016-02251
Microsoft LightSwitch for Visual Studio 2013

Team Explorer for Visual Studio 2013   06177-004-0446016-02251
Microsoft Team Explorer for Visual Studio 2013

Visual Basic 2013   06177-004-0446016-02251
Microsoft Visual Basic 2013

Visual C# 2013   06177-004-0446016-02251
Microsoft Visual C# 2013

Visual C++ 2013   06177-004-0446016-02251
Microsoft Visual C++ 2013

Visual F# 2013   06177-004-0446016-02251
Microsoft Visual F# 2013

Visual Studio 2013 Code Analysis Spell Checker   06177-004-0446016-02251
Microsoft® Visual Studio® 2013 Code Analysis Spell Checker

Portions of International CorrectSpell™ spelling correction system © 1993 by Lernout & Hauspie Speech Products N.V. All rights reserved.

ASP.NET Web Frameworks and Tools 2012.2   4.1.21001.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.21010.0
For additional information, visit http://www.asp.net/

Common Azure Tools   1.3
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

Microsoft Azure Mobile Services Tools   1.3
Microsoft Azure Mobile Services Tools

NuGet Package Manager   2.8.50926.663
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2013 ENU   12.0.30626
Microsoft Office Developer Tools for Visual Studio 2013 ENU

PowerShell Tools   1.3
Provides file classification services using PowerShell

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   12.0.41012.0
Microsoft SQL Server Data Tools

Windows Phone 8.1 SDK Integration   1.0
This package integrates the tools for the Windows Phone 8.1 SDK into the menus and controls of Visual Studio.

Workflow Manager Tools 1.0   1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin   3.9.346.0 (d6de844)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   4.20.0.34 (49a04b966feb40dfdba49d57ba16249b66d606a6)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.iOS   8.6.2.0 (862702c6b8aa14a373e25f83ac45918556af41a2)
Visual Studio extension to enable development for Xamarin.iOS.

Xamarin.iOS Unified Migration   1.0
Automated migration for Xamarin iOS Classic projects to Unified
Comment 4 Rui Marinho 2015-03-03 06:02:37 UTC
I tried the project and made same tests and wasn't able to reproduce the problem. Please reopen with a better repo of the problem.
Comment 5 Paul Diston 2015-03-03 06:09:42 UTC
Both myself, Anubhav Ranjan and Atin have confirmed this issue. Please can you review this issue?
Comment 6 soumya 2016-01-14 00:29:52 UTC
Is there any fix for this issue? I am using Xamarin.Forms version="1.5.1.6471" and see the exact same issue in Android.
Comment 7 Al Clark [MSFT] 2016-01-20 14:43:27 UTC
Reopened as a result of Desk case #248296

Steps to reproduce
============

1) Start the Android application.

2) Choose "Go to main page" button.

3) Navigate back from the arrow in top left corner.

4) Choose "Go to main page" button again.

It crashes when this line 27 of App.cs is executed:

_rvm.RecipeGroups.Clear();
Comment 9 Jani Lirkki 2016-01-20 18:31:26 UTC
As a reporter of desk case #248296, I can confirm that I don't get this error on Xamarin Forms version 1.5.0.6447 but it reproduces if I upgrade Xamarin Forms to latest version 2.0.0.6490. It is also reproducible on Xamarin Forms version 2.0.1.6492-pre1.

The same Xamarin Forms code works ok on Windows Phone and this NullPointerException occurs only in Android.
Comment 10 soumya 2016-02-02 21:40:02 UTC
I created another entry for this issue as it was closed here. Please refer id=37712 for sample project
Comment 11 Paul DiPietro [MSFT] 2016-02-11 19:24:45 UTC
*** Bug 37712 has been marked as a duplicate of this bug. ***
Comment 12 Jani Lirkki 2016-03-02 10:23:26 UTC
The duplicate bug 37712 is still reproducible in Xamarin Forms build 2.1.0.6524. We'd need a fix urgently.
Comment 13 Rui Marinho 2016-03-02 11:08:53 UTC
Hi Jani this fix didn't landed on 2.1. 

This should be fixed in 2.2.0-pre1.
Comment 14 ryan 2016-03-03 21:07:00 UTC
I can confirm this issue.  It only happens when I navigate to my Android page w/ ToolbarItem and then navigate all the way back to open another page.
Comment 15 Parmendra Kumar 2016-04-05 16:38:56 UTC
I have checked this issue with 2.2.0.4-pre1 and using sample attached in comment #8 and followed comment #7. Its working fine.

Hence closing this issue.

Thanks.
Comment 16 Sascha Schwegelbauer 2016-11-09 13:38:55 UTC
Nope - XF 2.3.2.127 and still present:

11-09 14:32:50.536 I/MonoDroid( 1556): Java.Lang.NullPointerException: Exception of type 'Java.Lang.NullPointerException' was thrown.
11-09 14:32:50.536 I/MonoDroid( 1556):   at System.Runtime.ExceptionServices.ExceptionDispatchInfo.Throw () [0x0000c] in /Users/builder/data/lanes/3511/77cb8568/source/mono/mcs/class/referencesource/mscorlib/system/runtime/exceptionservices/exceptionservicescommon.cs:143 
11-09 14:32:50.536 I/MonoDroid( 1556):   at Java.Interop.JniEnvironment+InstanceMethods.CallNonvirtualVoidMethod (Java.Interop.JniObjectReference instance, Java.Interop.JniObjectReference type, Java.Interop.JniMethodInfo method, Java.Interop.JniArgumentValue* args) [0x000a7] in /Users/builder/data/lanes/3511/301f2df5/source/Java.Interop/src/Java.Interop/Java.Interop/JniEnvironment.g.cs:12083 
11-09 14:32:50.536 I/MonoDroid( 1556):   at Java.Interop.JniPeerMembers+JniInstanceMethods.FinishCreateInstance (System.String constructorSignature, Java.Interop.IJavaPeerable self, Java.Interop.JniArgumentValue* parameters) [0x00060] in /Users/builder/data/lanes/3511/301f2df5/source/Java.Interop/src/Java.Interop/Java.Interop/JniPeerMembers.JniInstanceMethods.cs:148 
11-09 14:32:50.536 I/MonoDroid( 1556):   at Android.Graphics.Canvas..ctor (Android.Graphics.Bitmap bitmap) [0x00078] in /Users/builder/data/lanes/3511/301f2df5/source/monodroid/src/Mono.Android/platforms/android-23/src/generated/Android.Graphics.Canvas.cs:236 
11-09 14:32:50.536 I/MonoDroid( 1556):   at Xamarin.Forms.Platform.Android.FrameRenderer+FrameDrawable.FrameOnPropertyChanged (System.Object sender, System.ComponentModel.PropertyChangedEventArgs e) [0x0002e] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Platform.Android\Renderers\FrameRenderer.cs:182 
11-09 14:32:50.536 I/MonoDroid( 1556):   at (wrapper delegate-invoke) <Module>:invoke_void_object_PropertyChangedEventArgs (object,System.ComponentModel.PropertyChangedEventArgs)
11-09 14:32:50.536 I/MonoDroid( 1556):   at Xamarin.Forms.BindableObject.OnPropertyChanged (System.String propertyName) [0x0000a] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Core\BindableObject.cs:137 
11-09 14:32:50.536 I/MonoDroid( 1556):   at Xamarin.Forms.Element.OnPropertyChanged (System.String propertyName) [0x00000] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Core\Element.cs:369 
11-09 14:32:50.536 I/MonoDroid( 1556):   at Xamarin.Forms.BindableObject.SetValueActual (Xamarin.Forms.BindableProperty property, Xamarin.Forms.BindableObject+BindablePropertyContext context, System.Object value, System.Boolean currentlyApplying, Xamarin.Forms.BindableObject+SetValueFlags attributes, System.Boolean silent) [0x000f4] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Core\BindableObject.cs:581 
11-09 14:32:50.536 I/MonoDroid( 1556):   at Xamarin.Forms.BindableObject.SetValueCore (Xamarin.Forms.BindableProperty property, System.Object value, Xamarin.Forms.BindableObject+SetValueFlags attributes, Xamarin.Forms.BindableObject+SetValuePrivateFlags privateAttributes) [0x0014b] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Core\BindableObject.cs:378 
11-09 14:32:50.536 I/MonoDroid( 1556):   at Xamarin.Forms.BindingExpression.ApplyCore (System.Object sourceObject, Xamarin.Forms.BindableObject target, Xamarin.Forms.BindableProperty property, System.Boolean fromTarget) [0x0020c] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Core\BindingExpression.cs:177 
11-09 14:32:50.536 I/MonoDroid( 1556):   at Xamarin.Forms.BindingExpression.Apply (System.Boolean fromTarget) [0x0003e] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Core\BindingExpression.cs:55 
11-09 14:32:50.536 I/MonoDroid( 1556):   at Xamarin.Forms.BindingExpression+BindingExpressionPart.<PropertyChanged>b__44_0 () [0x00000] in C:\BuildAgent2\work\aad494dc9bc9783\Xamarin.Forms.Core\BindingExpression.cs:475 
11-09 14:32:50.536 I/MonoDroid( 1556):   at Java.Lang.Thread+RunnableImplementor.Run () [0x0000b] in /Users/builder/data/lanes/3511/301f2df5/source/xamarin-android/src/Mono.Android/Java.Lang/Thread.cs:36 
11-09 14:32:50.536 I/MonoDroid( 1556):   at Java.Lang.IRunnableInvoker.n_Run (System.IntPtr jnienv, System.IntPtr native__this) [0x00009] in /Users/builder/data/lanes/3511/301f2df5/source/monodroid/src/Mono.Android/platforms/android-23/src/generated/Java.Lang.IRunnable.cs:81 
11-09 14:32:50.536 I/MonoDroid( 1556):   at (wrapper dynamic-method) System.Object:d6b8762d-a745-42f8-9b7f-eec4e94a5867 (intptr,intptr)
11-09 14:32:50.536 I/MonoDroid( 1556):   --- End of managed Java.Lang.NullPointerException stack trace ---
11-09 14:32:50.536 I/MonoDroid( 1556): java.lang.NullPointerException
11-09 14:32:50.536 I/MonoDroid( 1556): 	at android.graphics.Canvas.<init>(Canvas.java:136)
11-09 14:32:50.536 I/MonoDroid( 1556): 	at mono.java.lang.RunnableImplementor.n_run(Native Method)
11-09 14:32:50.536 I/MonoDroid( 1556): 	at mono.java.lang.RunnableImplementor.run(RunnableImplementor.java:30)
11-09 14:32:50.536 I/MonoDroid( 1556): 	at android.app.Activity.runOnUiThread(Activity.java:4713)
11-09 14:32:50.536 I/MonoDroid( 1556): 	at mono.java.lang.RunnableImplementor.n_run(Native Method)
11-09 14:32:50.536 I/MonoDroid( 1556): 	at mono.java.lang.RunnableImplementor.run(RunnableImplementor.java:30)
11-09 14:32:50.536 I/MonoDroid( 1556): 	at android.os.Handler.handleCallback(Handler.java:733)
11-09 14:32:50.536 I/MonoDroid( 1556): 	at android.os.Handler.dispatchMessage(Handler.java:95)
11-09 14:32:50.536 I/MonoDroid( 1556): 	at android.os.Looper.loop(Looper.java:136)
11-09 14:32:50.536 I/MonoDroid( 1556): 	at android.app.ActivityThread.main(ActivityThread.java:5001)
11-09 14:32:50.536 I/MonoDroid( 1556): 	at java.lang.reflect.Method.invokeNative(Native Method)
11-09 14:32:50.536 I/MonoDroid( 1556): 	at java.lang.reflect.Method.invoke(Method.java:515)
11-09 14:32:50.536 I/MonoDroid( 1556): 	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:785)
11-09 14:32:50.536 I/MonoDroid( 1556): 	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:601)
11-09 14:32:50.536 I/MonoDroid( 1556): 	at dalvik.system.NativeStart.main(Native Method)
11-09 14:32:50.536 D/Mono    ( 1556): Assembly Ref addref HockeySDK.AndroidBindings[0xb81c8ed0] -> System[0xb82b76c0]: 19
Comment 17 Sascha Schwegelbauer 2016-11-09 17:32:00 UTC
Nice - after changing the base class of the MainActivity to FormsAppCompatActivity (including an AppCompat-Theme), the error went away.